Include project identifier in List-ld header field of notification emails
Target version:

Resolution: Duplicate

Description

| propose adding the project identifier to the List-Id header field of notification emails. Currently, the List-Id is based on the emission
email address (Setting.mail_from). | want to change the List-Id to include both the project identifier and the emission email address.

The current notification email headers include the X-Redmine-Project field, which contains the project identifier. However, widely
used email services Gmail do not support filtering based on custom headers starting with X-. This makes it difficult to create filters
based on the project.

By including the project identifier in the List-1d, users can utilize Gmail’s list operator to create filters based on the project. This
enhancement would improve the ability to organize and manage project-related emails in Gmail.

Current Implementation:
For an emission email address of redmine@example.net, the current List-1d is:

List-Id: <redmine.example.net>

Proposed Implementation:
For an emission email address of redmine@example.net and a project identifier of ecookbook, the proposed List-1d is:

List-Id: <ecookbook.redmine.example.net>
Backward Compatibility:
Changing the List-Id header field value will affect users who depend on the current format. To address this, we may need to add a

new setting in Administration > Settings page allowing users to choose whether to include the project identifier in the List-Id. This
ensures that existing workflows relying on the current List-Id format remain unaffected.

Related issues:
Is duplicate of Redmine - Feature #13359: Add project identifier to List-Id h... Closed

History

#1 - 2024-07-17 16:28 - Go MAEDA
- File 41031-experimental.patch added
- File clipboard-202407172327-bcssv.png added

Here is an experimental implementation.
clipboard-202407172327-bcssv.png

#2 - 2024-07-18 13:00 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate
Closing as a duplicate of #13359.

#3 - 2024-07-18 13:01 - Go MAEDA

- Is duplicate of Feature #13359: Add project identifier to List-Id header in notification emails for better Gmail filtering added
https://www.redmine.org/issues/13359

Files

41031-experimental.patch 3.11 KB 2024-07-17 Go MAEDA
clipboard-202407172327-bcssv.png 78.1 KB 2024-07-17 Go MAEDA
